html,
body {
  margin: 0;
  min-height: 100%;
  background: rgb(0, 0, 0);
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}


body::before {
  content: "";
  position: absolute;
  inset: 0;
  background: url("../bilder/compass-free.png") center top no-repeat;
  background-position: center 100px;
  background-size: clamp(1200px, 120%, 2000px);
  z-index: 0;
  pointer-events: none;
}

header,
body,
main,
footer {
  position: relative;
}


main {
  z-index: 2;
}

footer {
  margin-top: 50px;
  padding-bottom: 60px;
}


.top-picture {
  margin: 0 auto;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  width: 100%;
  aspect-ratio: 4/1;
  position: relative;
  overflow: hidden;
}

.header-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  /* ersetzt background-size: cover */
  display: block;
}


.logo-urbangrafix {
  position: absolute;
  top: 20px;
  right: -40px;
  width: clamp(100px, 20vw, 30%);
}

.logo-urbangrafix img {
  width: 80%;
  height: auto;
  display: block;
}

h1 {
  margin-left: 20px;
  margin-right: 20px;
  margin-top: -30px;
  margin-bottom: 15px;
  font-weight: lighter;
  font-size: 100px;
  text-align: center;
  font-size: clamp(2rem, 6vw, 6.5rem);
  line-height: clamp(2.3rem, 7vw, 7rem);
  color: rgb(59, 176, 100);
}

h2 {
  margin-left: 5px;

  font-weight: normal;
  color: rgb(255, 255, 255);
  text-align: flex-start;
  font-size: clamp(1.4rem, 2.7vw, 3rem);

}

h3 {
  margin-top: 50px;
  padding-bottom: 120px;
  margin-bottom: 50px;

  margin-right: 20px;
  font-weight: lighter;
  color: rgb(255, 255, 255);
  text-align: center;
  font-size: clamp(1.5rem, 2.8vw, 3.8rem);

}

h5 {
  margin-left: 5px;
  margin-bottom: 40px;
  font-weight: lighter;
  color: rgb(255, 255, 255);
  text-align: center;
  font-size: clamp(3.5rem, 3.5vw, 4rem);
}

p {
  margin-left: 5px;
  margin-right: 5px;
  color: rgb(255, 254, 254);
  font-weight: lighter;
  font-size: clamp(1.2rem, 1.8vw, 2.8rem);
  line-height: clamp(1.3rem, 1.3vw, 5rem);
}


/* Burger-Menu */
.menu-checkbox {
  display: none;
}

/* Toggle (3 Striche / X) */
.menu-toggle {
  position: absolute;
  top: 25px;
  left: 20px;
  width: 40px;
  height: 30px;
  cursor: pointer;
  z-index: 1100;
}

/* Striche */
.menu-toggle span {
  position: absolute;
  left: 0;
  width: 100%;
  height: 4px;
  background: white;
  border-radius: 2px;
}

/* Striche normal */
.menu-toggle span:nth-child(1) {
  top: 0;
}

.menu-toggle span:nth-child(2) {
  top: 50%;
  transform: translateY(-50%);
}

.menu-toggle span:nth-child(3) {
  bottom: 0;
}

/* X Animation */
/* X beim Öffnen */
.menu-checkbox:checked+.menu-toggle span:nth-child(1) {
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
}

.menu-checkbox:checked+.menu-toggle span:nth-child(3) {
  top: 50%;
  transform: translateY(-50%) rotate(-45deg);
}

.menu-checkbox:checked+.menu-toggle span:nth-child(2) {
  opacity: 0;
}


/* Menü selbst */
.burger-menu {
  position: absolute;
  top: 60px;
  left: 0;
  /* gleiche X-Position */
  width: 185px;
  background: rgba(18, 19, 19, 0.5);
  display: flex;
  flex-direction: column;
  padding: 0px 0;
  border-radius: 0 0 5px 5px;
  z-index: 1050;

  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease;
}

/* Links */
.burger-menu a {
  margin-left: 20px;
  padding: 10px;
  margin-bottom: 2px;
  color: white;
  font-size: 1.3rem;
  text-decoration: none;
}

/* Aufklappen */
.menu-checkbox:checked~.burger-menu {
  max-height: 450px;
}





/* Animation 9 Container */

.services {
  margin-left: 40px;
  margin-right: 40px;
  display: grid;

  grid-template-columns: repeat(12, 1fr);
  /* 12 gleich große virtuelle Spalten */

  gap: 60px;
  padding: 15px;

  background: rgba(0, 0, 0, 0.3);
  border-radius: 10px;
}



/* Animation */
.services>div {
  transform: scale(1);
  transform-origin: center;
  transition: transform 0.3s ease;
}

/* Individuelle Bewegungen */
.creative-solutions {
  animation: floatOverlapA 20s infinite ease-in-out;
  z-index: 8;
}

.konzeption {
  animation: floatOverlapB 25s infinite ease-in-out;
  z-index: 6;
}

.layout {
  animation: floatOverlapC 22s infinite ease-in-out;
  z-index: 7;
}

.illustration {
  animation: floatOverlapD 18s infinite ease-in-out;
  z-index: 5;
}

.webdesign {
  animation: floatOverlapB 17s infinite ease-in-out;
  z-index: 6;
}

.branding {
  animation: floatOverlapC 17s infinite ease-in-out;
  z-index: 7;
}

.copytext {
  animation: floatOverlapA 20s infinite ease-in-out;
  z-index: 4;
}

.marketing {
  animation: floatOverlapD 10s infinite ease-in-out;
  z-index: 5;
}

.fotodirecting {
  animation: floatOverlapB 18s infinite ease-in-out;
  z-index: 4;
}

/* Pause bei Hover */
.services>div:hover {
  animation-play-state: paused;
  z-index: 999;
}

@keyframes floatOverlapA {
  0% {
    transform: translate(0, 0);
  }

  20% {
    transform: translate(40px, -85px);
  }

  40% {
    transform: translate(-75px, -55px);
  }

  60% {
    transform: translate(30px, 40px);
  }

  80% {
    transform: translate(-20px, -90px);
  }

  100% {
    transform: translate(0, 0);
  }
}

@keyframes floatOverlapB {
  0% {
    transform: translate(0, 0);
  }

  20% {
    transform: translate(60px, -65px);
  }

  40% {
    transform: translate(-55px, -85px);
  }

  60% {
    transform: translate(40px, -70px);
  }

  80% {
    transform: translate(-80px, -80px);
  }

  100% {
    transform: translate(0, 0);
  }
}

@keyframes floatOverlapC {
  0% {
    transform: translate(0, 0);
  }

  20% {
    transform: translate(60px, -65px);
  }

  40% {
    transform: translate(-55px, -55px);
  }

  60% {
    transform: translate(50px, 30px);
  }

  80% {
    transform: translate(-50px, -60px);
  }

  100% {
    transform: translate(0, 0);
  }
}

@keyframes floatOverlapD {
  0% {
    transform: translate(0, 0);
  }

  20% {
    transform: translate(60px, -65px);
  }

  40% {
    transform: translate(-85px, 85px);
  }

  60% {
    transform: translate(50px, 70px);
  }

  80% {
    transform: translate(-50px, -60px);
  }

  100% {
    transform: translate(0, 0);
  }
}



/* Rahmen für alle Bildcontainer */
.creative-solutions {
  grid-column: span 8;
  border: 2px solid rgb(19, 223, 97);
  border-radius: 10px;
  padding: 10px;
  padding-bottom: 30px;
  position: relative;
}

.creative-solutions .info-btn {
  bottom: 10px;
  left: 50%;
  right: auto;
  transform: translateX(-50%);
}

.konzeption {
  grid-column: span 4;
  border: 2px solid rgb(10, 145, 190);
  border-radius: 10px;
  padding: 10px;
  padding-bottom: 30px;
  position: relative;
}

.konzeption .info-btn {
  bottom: 10px;
  left: 20%;
  right: auto;
  transform: translateX(-50%);
}

.layout {
  grid-column: span 4;
  position: relative;
  border: 2px solid rgb(189, 164, 19);
  border-radius: 10px;
  padding: 0px;
  padding-bottom: 30px;
}

.layout .info-btn {
  bottom: 10px;
  left: 60%;
  right: auto;
  transform: translateX(-50%);
}

.copytext {
  grid-column: span 3;
  position: relative;
  padding-bottom: 25px;
  border: 2px solid rgb(21, 163, 149);
  border-radius: 10px;
  padding-top: 10px;
  padding-bottom: 30px;

}

.copytext .info-btn {
  bottom: 10px;
  left: 40%;
  right: auto;
  transform: translateX(-50%);
}

.webdesign {
  grid-column: span 5;
  position: relative;
  padding-bottom: 30px;
  border: 2px solid rgb(185, 168, 217);
  border-radius: 10px;
  padding-top: 10px;
  padding-bottom: 30px;

}

.webdesign .info-btn {
  bottom: 10px;
  left: 50%;
  right: auto;
  transform: translateX(-50%);
}

.branding {
  grid-column: span 6;
  position: relative;
  padding-bottom: 30px;
  border: 2px solid rgb(223, 41, 184);
  border-radius: 10px;
  padding-top: 10px;
  padding-bottom: 30px;

}

.branding .info-btn {
  bottom: 10px;
  left: 65%;
  right: auto;
  transform: translateX(-50%);
}

.illustration {
  grid-column: span 6;
  position: relative;
  padding-bottom: 55px;
  border: 2px solid rgb(126, 115, 97);
  border-radius: 10px;
  padding-top: 10px;
  padding-bottom: 30px;
}

.illustration .info-btn {
  bottom: 10px;
  left: 50%;
  right: auto;
  transform: translateX(-50%);
}

.marketing {
  grid-column: span 6;
  position: relative;
  padding-bottom: 20px;
  border: 2px solid rgb(21, 209, 53);
  border-radius: 10px;
  padding-top: 10px;
  padding-bottom: 30px;
}

.marketing .info-btn {
  bottom: 10px;
  left: 50%;
  right: auto;
  transform: translateX(-50%);
}

.fotodirecting {
  grid-column: span 6;
  position: relative;
  padding-bottom: 20px;
  border: 2px solid rgb(172, 118, 57);
  border-radius: 10px;
  padding-top: 10px;
  padding-bottom: 30px;
}

.fotodirecting .info-btn {
  bottom: 10px;
  left: 50%;
  right: auto;
  transform: translateX(-50%);
}


/* Alle Container für die einzelnen Gruppen */

/* Alle Bilder zusammengefasst */
.creative-solutions img,
.konzeption img,
.layout img,
.illustration img,
.webdesign img,
.branding img,
.copytext img,
.marketing img,
.fotodirecting img {
  display: block;
  height: auto;
  opacity: 0.7;
  margin-left: auto;
  margin-right: auto;
}

.creative-solutions img {
  max-width: 100%;
}

.konzeption img {
  margin-top: 30px;
  max-width: 100%;
}

.layout img {
  max-width: 100%;
}

.illustration img {
  margin-top: 20px;
  max-width: 100%;
}

.webdesign img {
  margin-top: 20px;
  max-width: 100%;
}

.branding img {
  margin-top: 20px;
  max-width: 100%;
}

.copytext img {
  max-width: 90%;
}

.marketing img {
  max-width: 100%;
}

.fotodirecting img {
  margin-top: 20px;
  max-width: 100%;
}




/* Buttons mehr Infos / close */
.info-btn {
  position: absolute;
  margin-top: 40px;
  bottom: 10px;
  margin-right: 20px;
  margin-left: 20px;

  padding: 0.5px 20px;
  font-size: 1.4rem;

  background-color: rgb(116, 160, 132);
  color: white;
  border-radius: 6px;
  border: 2px solid rgb(3, 92, 17);

  bottom: 12px;
  /* etwas Luft nach unten */

  text-align: center;
  width: 145px;
}


.info-btn:hover {
  background-color: #3bb064 !important;
  /* gleiche Farbe */
  border-color: rgb(3, 92, 17) !important;
  color: white !important;
  box-shadow: 0 0 15px rgba(255, 255, 255, 0.9);
}

.info-btn-menue a {
  display: block;
  padding-top: -20px;
  color: white;
  text-decoration: none;
}

.info-text {
  margin-top: 15px;
  padding: 10px;
  color: white;
  border-radius: 5px;
}






/* Menü Button Footer */
.button-menue {
  width: 200px;
  padding: 0px;
  margin: 50px 0 10px 0;

  text-align: center;

  background-color: #3bb064;
  color: white;
  border-radius: 5px;
  border: 2px solid rgb(3, 92, 17);
}

.button-menue:hover {
  box-shadow: 0 0 15px rgba(255, 255, 255, 0.9);
  transform: scale(1.05);
}

.button-menue a {
  color: white;
  text-decoration: none;
}

.main-navigation {
  margin-left: 20px;
  margin-right: 20px;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  text-decoration: none;
  font-size: 18px;
  display: flex;
  justify-content: center;
  text-decoration: none;
  display: flex;
  gap: 20px;
}

/* Modal Design anpassen */

.modal-dialog {
  max-width: 600px;
  width: 90%;
  margin: 0 auto;
}

.modal-dialog-centered {
  display: flex;
  align-items: center;
}

.modal-content {
  background: rgba(0, 0, 0, 0.7);
  color: white;
  border: 2px solid #3bb064;
}

.modal-header {
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

.modal-footer {
  border-top: 1px solid rgba(255, 255, 255, 0.2);
}

.modal-title {
  color: #3bb064;
  line-height: 1.2;

}

.modal-body p {
  font-size: 2rem;
  line-height: 1.6;
}

.modal {
  position: fixed !important;
  z-index: 2000;
}

.modal-backdrop {
  z-index: 1990;
}

body.modal-open .services>div {
  animation: none !important;
}


/* =========================
   DESKTOP LARGE (ab 1400px)
========================= */
@media (min-width: 1400px) {

  header,
  main,
  footer {
    margin: 0 auto;
    max-width: 2000px;
  }
}


/* =========================
   TABLET (bis 1200px)
========================= */
@media (max-width: 1200px) {

  body {
    background-size: clamp(800px, 140%, 1400px) auto;
  }

  .logo-urbangrafix {
    width: clamp(80px, 18%, 200px);
    top: 6%;
    right: 1%;
  }

}


/* =========================
   TABLET SMALL (bis 992px)
========================= */


@media (max-width: 992px) {
  .info-btn {
    padding: 4px 10px;
    font-size: 0.75rem;
  }
}


@media (max-width: 992px) {
  p {
    margin-right: 10px;
  }

  .button-menue {
    margin-top: -20px;
  }

  .info-btn {
    width: 110px;
  }

}


/* =========================
   MOBILE (bis 768px)
========================= */

@media (max-width: 600px) {

  /* Animation AUS */
  .creative-solutions,
  .konzeption,
  .layout,
  .copytext,
  .webdesign,
  .branding,
  .illustration,
  .marketing,
  .fotodirecting {
    animation: none !important;
    transform: none !important;
    padding-bottom: 20px;
    /* kleiner als Desktop */

  }

  .services * {
    animation: none !important;
    transform: none !important;
  }

  /* Grid auf 1 Spalte */
  .services {
    display: block;
    gap: 10px;
    margin: 20px;
    padding: 10px;
  }

  /* WICHTIG: Grid-Spans zurücksetzen */
  .services>div {
    width: 100%;
    margin-bottom: 10px;
  }

  .info-btn {
    position: static;
    display: block;
    margin: 6px auto 10px auto;
    padding: 6px 14px;
    font-size: 0.85rem;
    min-width: 120;
    margin-bottom: 0px;
  }

  h3 {
    margin-left: 20px;
    margin-right: 20px;
    padding-bottom: 0px;
  }

  h5 {
    font-size: 2.2rem;
  }

  .modal-body p {
    font-size: 1.4rem;
    line-height: 1.6rem;
  }


  .footer-menue {
    display: flex;
    flex-direction: column;
    /* Buttons untereinander */
    align-items: center;
    /* Zentriert horizontal */
    margin: 0 auto;
    /* zentriert die Gruppe im Footer */
    gap: 0;
    /* entfernt flex gap, falls vorher */
  }

  .button-menue {
    flex: none;
    max-width: 100px;
    min-width: 100px;
    text-align: center;
    margin: 2px 0;
    padding: 2px 0;
  }

  .button-menue a {
    font-size: 1rem;
  }


  /* Burger Menü */
  .menu-toggle {
    width: 25px;
    height: 20px;
  }

  .menu-toggle span {
    height: 2px;
  }

  .burger-menu {
    width: 90px;
  }

  .burger-menu a {
    font-size: 0.7rem;
    padding: 0px;
  }
}